Bug 449869 - (tasque) Review Request: tasque - A simple task management app
Review Request: tasque - A simple task management app
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
:
Depends On: 468055
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 20:47 EDT by David Kaylor
Modified: 2009-01-14 21:57 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-29 03:51:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mtasaka: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description David Kaylor 2008-06-03 20:47:38 EDT
Spec URL: http://www.kaylor.info/fedora/SPEC/tasque.spec
SRPM URL: http://www.kaylor.info/fedora/SRPM/tasque-0.1.5-1.fc9.src.rpm
Description: Tasque is a task management program that can work with rememberthemilk.com.  I didn't see it in the repo, so I thought I would try contributing a package (this is the first time for me).  More info on the app is available at http://live.gnome.org/Tasque and http://code.google.com/p/tasky/.
Comment 1 Mamoru TASAKA 2008-06-29 16:32:51 EDT
Some random comments on 0.1.5-1:

* Version
  - Current newest tarball seems 0.1.6.

* tarball
  - As the upstream ships bzip2 compressed tarball, please use it.

* BuildRequires:
  - Currently mono-core is not available on ppc64. So
    this package needs 'ExcludeArch: ppc64'.

* Timestamps
  - To keep timestamps on installed files, please consider to use:
------------------------------------------------------------------
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
------------------------------------------------------------------
    This method usually works for recent autotool based Makefiles.

* Installed directory
  - Currently this package installs somefiles under %{_prefix}/lib/%{name},
    which is wrong for 64 bits machine (x86_64, where %{_prefix}/lib
    is /usr/lib while %{_libdir} is /usr/lib64).
    Please apply a patch so that this package use %{_libdir}/%{name}

* Directory ownership issue
  - Please make it sure that all directories created when installing
    this package are owned correctly by this package.
    Currently %{_libdir}/%{name}, %{_datadir}/%{name} are not owned by
    any packages.

* GTK icon cache update
  - As this package installs icons under %_datadir/icons/hicolor, please
    follow
    https://fedoraproject.org/wiki/Packaging/ScriptletSnippets#GTK.2B_icon_cache

* defattr
  - Please unify defattr usage to %defattr(-,root,root,-)

* Requires
  - It seems that this package needs some Requires:
    On my system:
---------------------------------------------------------------
[tasaka1@localhost ~]$ tasque 

** (Tasque.exe:5510): WARNING **: The following assembly referenced from
/usr/lib/tasque/Tasque.exe could not be loaded:
     Assembly:   gnome-sharp    (assemblyref_index=2)
     Version:    2.16.0.0
     Public Key: 35e10195dab3c99f
The assembly was not found in the Global Assembly Cache, a path listed in the
MONO_PATH environment variable, or in the location of the executing assembly
(/usr/lib/tasque/).


** (Tasque.exe:5510): WARNING **: Could not load file or assembly 'gnome-sharp,
Version=2.16.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or one of
its dependencies.

Unhandled Exception: System.TypeLoadException: Could not load type
'Tasque.Application' from assembly 'Tasque, Version=0.0.0.0, Culture=neutral'.
---------------------------------------------------------------

Please make it sure that you change the release number of the spec file every time
you modify your spec file when version number does not change.
Comment 2 David Kaylor 2008-07-03 17:04:43 EDT
Thanks for the feedback. I have implemented all suggestions excluding

> * Installed directory
>   - Currently this package installs somefiles under %{_prefix}/lib/%{name},
>     which is wrong for 64 bits machine (x86_64, where %{_prefix}/lib
>     is /usr/lib while %{_libdir} is /usr/lib64).
>     Please apply a patch so that this package use %{_libdir}/%{name}

I had some difficulty with this one.  Any suggestions?  It appears that there is
already an upstream bug filed on this:

http://bugzilla.gnome.org/show_bug.cgi?id=540983

The new files are here:
http://kaylor.info/fedora/SPEC/tasque.spec
http://kaylor.info/fedora/SRPM/tasque-0.1.6-1.fc9.src.rpm
Comment 3 Mamoru TASAKA 2008-07-04 13:02:05 EDT
For 0.1.6-1:

* Requires
  - Umm...
------------------------------------------------------------------------
$ tasque 

** (Tasque.exe:14041): WARNING **: The following assembly referenced from
/usr/lib/tasque/Tasque.exe could not be loaded:
     Assembly:   gdk-sharp    (assemblyref_index=5)
     Version:    2.12.0.0
     Public Key: 35e10195dab3c99f
The assembly was not found in the Global Assembly Cache, a path listed in the
MONO_PATH environment variable, or in the location of the executing assembly
(/usr/lib/tasque/).


** (Tasque.exe:14041): WARNING **: Could not load file or assembly 'gdk-sharp,
Version=2.12.0.0, Culture=neutral, PublicKeyToken=35e10195dab3c99f' or one of
its dependencies.

Unhandled Exception: System.TypeLoadException: Could not load type
'Tasque.Application' from assembly 'Tasque, Version=0.0.0.0, Culture=neutral'.
-------------------------------------------------------------------------
    What am I missing??

* debuginfo issue
  - Since this is mono package and rpmbuild creates empty debuginfo rpm
    which is not usable, please follow:
   
https://fedoraproject.org/wiki/Packaging/Debuginfo#Useless_or_incomplete_debuginfo_packages_due_to_other_reasons

* 64 bits issue
  - Perhaps the following would work for 64 bits issue (at least
    build passes)
--------------------------------------------
%prep
%setup -q
grep -rl '/lib' . | \
	xargs sed -i.libdir \
	-e 's|\$(prefix)/lib|\$(libdir)|' \
	-e 's|@prefix@/lib|@libdir@|'
sed -i.rpath -e '\|sys_lib_dlsearch_path_spec|s|/usr/lib |/usr/lib /lib64
/usr/lib64 |' \
	configure
--------------------------------------------

* Documents
  - Please add the following files to %doc.
--------------------------------------------
AUTHORS
COPYING
ChangeLog
MAINTAINERS
README
--------------------------------------------
Comment 4 Mamoru TASAKA 2008-07-14 02:55:43 EDT
ping?
Comment 5 David Kaylor 2008-07-14 22:29:10 EDT
(In reply to comment #4)
> ping?

I'm back with some updates:
http://kaylor.info/fedora/SPEC/tasque.spec
http://kaylor.info/fedora/SRPM/tasque-0.1.6-2.fc9.src.rpm

The only concern that might not be fully addressed are the Mono deps in
Requires.  I've added gtk-sharp2 to fix your error but there could be others. 
When I get a chance, I'll test this on a machine that doesn't have Mono yet.
Comment 6 Mamoru TASAKA 2008-07-16 13:32:27 EDT
For 0.1.6-2:

* Dependency
  - Okay, it seems to work now (perhaps rawhide mono was just broken...)
    However currently I get the message like below:
-------------------------------------------------------------
[tasaka1@localhost tasque]$ tasque 

** (Tasque:16280): WARNING **: The following assembly referenced from
/usr/lib/tasque/Tasque.exe could not be loaded:
     Assembly:   NDesk.DBus.GLib    (assemblyref_index=8)
     Version:    1.0.0.0
     Public Key: f6716e4f9b2ed099
The assembly was not found in the Global Assembly Cache, a path listed in the
MONO_PATH environment variable, or in the location of the executing assembly
(/usr/lib/tasque/).


** (Tasque:16280): WARNING **: Could not load file or assembly 'NDesk.DBus.GLib,
Version=1.0.0.0, Culture=neutral, PublicKeyToken=f6716e4f9b2ed099' or one of its
dependencies.

** (Tasque:16280): WARNING **: Missing method Init in assembly
/usr/lib/tasque/Tasque.exe, type NDesk.DBus.BusG
[Debug]: Tasque remote control disabled (DBus exception): Could not load file or
assembly 'NDesk.DBus.GLib, Version=1.0.0.0, Culture=neutral,
PublicKeyToken=f6716e4f9b2ed099' or one of its dependencies.
[Debug]: Found Available Backend: Tasque.Backends.RtmBackend.RtmBackend
-------------------------------------------------------------
    Perhaps adding "Requires: ndesk-dbus-glib" is preferable.

  - Also, for directory ownership issue (%{_datadir}/dbus-1/services/), 
    it may be preferable that you write the explicit dependency: "Requires: dbus".

* Desktop files
  - Please remove the category "X-SuSE-Core-Office" from the desktop file
    (as we are not on SuSE).

Then:
-------------------------------------------------------------
NOTE: Before being sponsored:

This package will be accepted with another few work. 
But before I accept this package, someone (I am a candidate) 
must sponsor you.

Once you are sponsored, you have the right to review other 
submitters' review requests and approve the packages formally. 
For this reason, the person who want to be sponsored (like you) 
are required to "show that you have an understanding 
of the process and of the packaging guidelines" as is described
on :
http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored

Usually there are two ways to show this.
A. submit other review requests with enough quality.
B. Do a "pre-review" of other person's review request
   (at the time you are not sponsored, you cannot do
   a formal review)

When you have submitted a new review request or have pre-reviewed other 
person's review request, please write the bug number on this bug report 
so that I can check your comments or review request.

Fedora package collection review requests which are waiting for someone to
review can be checked on:
http://fedoraproject.org/PackageReviewStatus/NEW.html
(NOTE: please don't choose "Merge Review")


Review guidelines are described mainly on:
http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
http://fedoraproject.org/wiki/Packaging/Guidelines
http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
------------------------------------------------------------
Comment 7 David Kaylor 2008-07-16 21:14:56 EDT
(In reply to comment #6)
> For 0.1.6-2:
> 
> * Dependency
>   - Okay, it seems to work now (perhaps rawhide mono was just broken...)
>     However currently I get the message like below:
> -------------------------------------------------------------
> [tasaka1@localhost tasque]$ tasque 
> 
> ** (Tasque:16280): WARNING **: The following assembly referenced from
> /usr/lib/tasque/Tasque.exe could not be loaded:
>      Assembly:   NDesk.DBus.GLib    (assemblyref_index=8)
>      Version:    1.0.0.0
>      Public Key: f6716e4f9b2ed099
> The assembly was not found in the Global Assembly Cache, a path listed in the
> MONO_PATH environment variable, or in the location of the executing assembly
> (/usr/lib/tasque/).
> 
> 
> ** (Tasque:16280): WARNING **: Could not load file or assembly 'NDesk.DBus.GLib,
> Version=1.0.0.0, Culture=neutral, PublicKeyToken=f6716e4f9b2ed099' or one of its
> dependencies.
> 
> ** (Tasque:16280): WARNING **: Missing method Init in assembly
> /usr/lib/tasque/Tasque.exe, type NDesk.DBus.BusG
> [Debug]: Tasque remote control disabled (DBus exception): Could not load file or
> assembly 'NDesk.DBus.GLib, Version=1.0.0.0, Culture=neutral,
> PublicKeyToken=f6716e4f9b2ed099' or one of its dependencies.
> [Debug]: Found Available Backend: Tasque.Backends.RtmBackend.RtmBackend
> -------------------------------------------------------------
>     Perhaps adding "Requires: ndesk-dbus-glib" is preferable.
> 
>   - Also, for directory ownership issue (%{_datadir}/dbus-1/services/), 
>     it may be preferable that you write the explicit dependency: "Requires: dbus".
> 
> * Desktop files
>   - Please remove the category "X-SuSE-Core-Office" from the desktop file
>     (as we are not on SuSE).
> 
> Then:
> -------------------------------------------------------------
> NOTE: Before being sponsored:
> 
> This package will be accepted with another few work. 
> But before I accept this package, someone (I am a candidate) 
> must sponsor you.
> 
> Once you are sponsored, you have the right to review other 
> submitters' review requests and approve the packages formally. 
> For this reason, the person who want to be sponsored (like you) 
> are required to "show that you have an understanding 
> of the process and of the packaging guidelines" as is described
> on :
> http://fedoraproject.org/wiki/PackageMaintainers/HowToGetSponsored
> 
> Usually there are two ways to show this.
> A. submit other review requests with enough quality.
> B. Do a "pre-review" of other person's review request
>    (at the time you are not sponsored, you cannot do
>    a formal review)
> 
> When you have submitted a new review request or have pre-reviewed other 
> person's review request, please write the bug number on this bug report 
> so that I can check your comments or review request.
> 
> Fedora package collection review requests which are waiting for someone to
> review can be checked on:
> http://fedoraproject.org/PackageReviewStatus/NEW.html
> (NOTE: please don't choose "Merge Review")
> 
> 
> Review guidelines are described mainly on:
> http://fedoraproject.org/wiki/Packaging/ReviewGuidelines
> http://fedoraproject.org/wiki/Packaging/Guidelines
> http://fedoraproject.org/wiki/Packaging/ScriptletSnippets
> ------------------------------------------------------------
> 

Latest revision:
http://kaylor.info/fedora/SPEC/tasque.spec
http://kaylor.info/fedora/SRPM/tasque-0.1.6-3.fc9.src.rpm

ndesk-dbus-glib is definitely preferable.  I tried installing revision 2 on a
clean Fedora 9 live usb and the program started but would later crash.

The SuSE reference is now removed.
Comment 8 David Kaylor 2008-07-16 21:30:58 EDT
I noticed my last post was not clear.  Without ndesk-dbus-glib, tasque would
start and later crash.  With ndesk-dbus-glib, it ran fine.
Comment 9 Mamoru TASAKA 2008-07-17 10:25:22 EDT
Oh, one more point:

* Installing desktop file
  When installing desktop file, "desktop-file-install" command (BR:
desktop-file-utils
  is needed) must be called. Please check:
  http://fedoraproject.org/wiki/Packaging/Guidelines#desktop-file-install_usage

Now I will wait for your another review request or a pre-review.
Comment 10 Mamoru TASAKA 2008-07-27 08:56:03 EDT
ping?
Comment 11 David Kaylor 2008-07-30 22:26:33 EDT
I've had a busy couple of weeks but here is an update with properly installed
desktop file:

http://kaylor.info/fedora/SPEC/tasque.spec
http://kaylor.info/fedora/SRPM/tasque-0.1.6-4.fc9.src.rpm

Thanks for your feedback & patience. Now on to finding something to review or
another program to package.
Comment 12 Mamoru TASAKA 2008-07-31 09:33:32 EDT
Okay, now this package itself is good. So I will wait for your another review
request
or pre-review of other person's review requests.
Comment 13 Mamoru TASAKA 2008-08-14 10:13:02 EDT
ping?
Comment 14 Mamoru TASAKA 2008-08-25 12:09:22 EDT
ping again?
Comment 15 Mamoru TASAKA 2008-09-01 02:56:56 EDT
Again ping?
Comment 16 David Kaylor 2008-09-03 17:14:53 EDT
Personal matters are eating up a lot of my time and I hope to get back to this ASAP.
Comment 18 Mamoru TASAKA 2008-09-17 03:17:00 EDT
So would you do a pre-review of other person's review request (or submit
another review request) as I wrote in comment 6?
Comment 19 Mamoru TASAKA 2008-09-27 10:39:48 EDT
ping?
Comment 20 Mamoru TASAKA 2008-10-03 02:01:29 EDT
ping again?
Comment 21 Mamoru TASAKA 2008-10-12 03:07:57 EDT
ping again??
Comment 22 Mamoru TASAKA 2008-10-18 10:44:16 EDT
I will close this bug as NOTABUG if no response is received from
the reporter within ONE WEEK.
Comment 23 David Kaylor 2008-10-20 20:59:42 EDT
I am going to review this package: https://bugzilla.redhat.com/show_bug.cgi?id=467627.
Comment 24 David Kaylor 2008-10-20 22:19:11 EDT
Add upstream bug link to patch file:
http://www.kaylor.info/fedora/SPEC/tasque.spec
http://www.kaylor.info/fedora/SRPM/tasque-0.1.7-2.fc9.src.rpm
Comment 25 Mamoru TASAKA 2008-10-22 11:16:04 EDT
Just a question (but maybe important).

It seems that you are using Fedora 9 (according to the srpm name).
If so, can you rebuild your srpm on Fedora 9? (Note that I am asking
on F-9. on F-10 this surely builds).
Comment 26 Mamoru TASAKA 2008-10-22 12:00:16 EDT
For 0.1.7-2:

* BuildRequires
  - build.log says:
-------------------------------------------------
   412  checking for NOTIFY_SHARP... 
   413  no
-------------------------------------------------
    Now on F-10+ Fedora has "notify-sharp" (imported on Oct-11),
    so at least add
-------------------------------------------------
%if 0%{?fedora} >= 10
BuildRequires:	notify-sharp-devel
%endif
-------------------------------------------------
    Maybe "Requires: notify-sharp" should also be added on F-10+.

* Documents
  - Please also add "NEWS" file to %doc.

! For F-9 build
  - If you are using F-9 and you can rebuild your package on F-9, would you
    tell me if gnome-sharp is updated?
Comment 27 David Kaylor 2008-10-22 20:22:36 EDT
(In reply to comment #26)
> For 0.1.7-2:
> 
> * BuildRequires
>   - build.log says:
> -------------------------------------------------
>    412  checking for NOTIFY_SHARP... 
>    413  no
> -------------------------------------------------
>     Now on F-10+ Fedora has "notify-sharp" (imported on Oct-11),
>     so at least add
> -------------------------------------------------
> %if 0%{?fedora} >= 10
> BuildRequires: notify-sharp-devel
> %endif
> -------------------------------------------------
>     Maybe "Requires: notify-sharp" should also be added on F-10+.
 
I added both.  It seems to me that if the build needs notify-sharp, the package will.  I can test this better when I have set up a F10 machine.

> * Documents
>   - Please also add "NEWS" file to %doc.> 

Added both NEWS and TODO

> ! For F-9 build
>   - If you are using F-9 and you can rebuild your package on F-9, would you
>     tell me if gnome-sharp is updated?

I am using and can build on F9.  The gnome-sharp package is an official package (gnome-sharp-2.16.1-1.fc9.x86_64).

Updated Tasque packages at:
http://www.kaylor.info/fedora/SRPM/tasque-0.1.7-3.fc9.src.rpm
http://www.kaylor.info/fedora/SPEC/tasque.spec
Comment 28 Mamoru TASAKA 2008-10-23 01:55:38 EDT
(In reply to comment #27)
> (In reply to comment #26)
> > ! For F-9 build
> >   - If you are using F-9 and you can rebuild your package on F-9, would you
> >     tell me if gnome-sharp is updated?
> 
> I am using and can build on F9.  The gnome-sharp package is an official package
> (gnome-sharp-2.16.1-1.fc9.x86_64).

Okay, then would you tell me what
$ rpm -q gtk-sharp2
return?
Comment 29 Mamoru TASAKA 2008-10-23 12:26:23 EDT
(In reply to comment #28)
> Okay, then would you tell me what
> $ rpm -q gtk-sharp2
> return?

Don't worry. Now F-9 buildroot is fixed by Xavier (bug 468055).
Now:
+ This package itself is now okay
+ You seem to have chosen almost good package for your pre-review, however
  I will approve it.

--------------------------------------------------------------
    This package (tasque) is APPROVED by mtasaka
--------------------------------------------------------------

Please follow the procedure written on:
http://fedoraproject.org/wiki/PackageMaintainers/Join
from "Install the Client Tools (Koji) ".

Now I am sponsoring you.

If you want to import this package into Fedora 8/9, you also have
to look at
http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
(after once you rebuilt this package on koji Fedora rebuilding system).


Removing NEEDSPONSOR.

If you have questions, please ask me.
Comment 30 David Kaylor 2008-10-23 13:16:15 EDT
(In reply to comment #28)
> (In reply to comment #27)
> > (In reply to comment #26)
> > > ! For F-9 build
> > >   - If you are using F-9 and you can rebuild your package on F-9, would you
> > >     tell me if gnome-sharp is updated?
> > 
> > I am using and can build on F9.  The gnome-sharp package is an official package
> > (gnome-sharp-2.16.1-1.fc9.x86_64).
> 
> Okay, then would you tell me what
> $ rpm -q gtk-sharp2
> return?

gtk-sharp2-2.10.3-3.fc9.x86_64
Comment 31 Mamoru TASAKA 2008-10-23 13:31:12 EDT
(In reply to comment #30)
> > Okay, then would you tell me what
> > $ rpm -q gtk-sharp2
> > return?
> 
> gtk-sharp2-2.10.3-3.fc9.x86_64

Thanks. Actually dist-f9-build uses gtk-sharp2-2.12.1-1.fc9,
which were causing dependency problem on dist-f9-build,
now fixed by gnome-sharp maintainer (bug 468055).
Comment 32 David Kaylor 2008-10-23 20:33:33 EDT
New Package CVS Request
=======================
Package Name: tasque
Short Description: A simple task management app (TODO list) for the Linux Desktop
Owners: dkaylor
Branches: f-9
InitialCC: mtasaka
Comment 33 David Kaylor 2008-10-23 20:37:21 EDT
> Now:
> + This package itself is now okay
> + You seem to have chosen almost good package for your pre-review, however
>   I will approve it.
> 
> --------------------------------------------------------------
>     This package (tasque) is APPROVED by mtasaka
> --------------------------------------------------------------
> 
> Please follow the procedure written on:
> http://fedoraproject.org/wiki/PackageMaintainers/Join
> from "Install the Client Tools (Koji) ".
> 
> Now I am sponsoring you.
> 
> If you want to import this package into Fedora 8/9, you also have
> to look at
> http://fedoraproject.org/wiki/Infrastructure/UpdatesSystem/Bodhi-info-DRAFT
> (after once you rebuilt this package on koji Fedora rebuilding system).
> 
> 
> Removing NEEDSPONSOR.
> 
> If you have questions, please ask me.

Thanks.  I just did a Koji build & submitted my CVS request.  For now, I listed only f-9 but maybe I should have included f-10?
Comment 34 Mamoru TASAKA 2008-10-23 23:14:47 EDT
(In reply to comment #33)
> Thanks.  I just did a Koji build & submitted my CVS request.  For now, I listed
> only f-9 but maybe I should have included f-10?

F-10 branch is also created as "devel" directory in this case so 
don't worry (unless you need early branching).
Comment 35 David Kaylor 2008-10-24 10:04:27 EDT
(In reply to comment #34)
> (In reply to comment #33)
> > Thanks.  I just did a Koji build & submitted my CVS request.  For now, I listed
> > only f-9 but maybe I should have included f-10?
> 
> F-10 branch is also created as "devel" directory in this case so 
> don't worry (unless you need early branching).

OK.  I'll look at adding it closer to the final release date - the f-10 build does succeed in Koji.

I am having trouble with CVS:

[dkaylor@localhost ~]$ ls  .fedora*
.fedora.cert  .fedora-server-ca.cert  .fedora-upload-ca.cert
[dkaylor@localhost ~]$ fedora-cvs tasque
Checking out tasque from fedora cvs:
Error: Permission denied (publickey).
cvs [checkout aborted]: end of file from server (consult above messages if any)

Is my request correct or is something else not set up?
Comment 36 Mamoru TASAKA 2008-10-24 10:36:45 EDT
Please make it sure that you have ssh keys and have uploaded
ssh public key to Fedora Account System:

https://fedoraproject.org/wiki/Infrastructure/AccountSystem#What_is_an_SSH_key.2C_and_why_do_I_need_one.3F
https://fedoraproject.org/wiki/Cryptography
Comment 37 Mamoru TASAKA 2008-10-24 10:38:18 EDT
By the way tasque module is not ready yet on Fedora CVS.
Comment 38 Dennis Gilmore 2008-10-27 00:41:35 EDT
CVS Done
Comment 39 Fedora Update System 2008-10-28 21:35:40 EDT
tasque-0.1.7-3.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tasque-0.1.7-3.fc9
Comment 40 Mamoru TASAKA 2008-10-29 03:51:02 EDT
Okay.

* When you think the submitted F-9 package can be moved from testing to stable
  repository please revisit bodhi interface and modify (edit) your push
  request.

* dist-f10 repo got frozen before you rebuilt this package on F-10
  branch so this package won't be pushed into F-10 branch automatically.

  - Later bodhi ( http://admin.fedoraproject.org/updates/ ) will begin
    to accept F-10 packages update requests (such announce will be
    sent to fedora-devel-list mailing list).
    After that please submit push request also for F-10 branch on
    bodhi
  - And later mass branching will be executed  F-10 directory
    will be newly created on tasque module in Fedora CVS. After that
    please rebuild your package (tasque) for "devel" branch (at
    this point devel now points to F-11, not F-10. Currently
    "devel" branch points to F-10).

Closing as NEXTRELEASE.
Comment 41 Fedora Update System 2008-11-11 21:56:18 EST
tasque-0.1.7-3.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 42 Fedora Update System 2008-11-26 23:31:58 EST
tasque-0.1.7-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tasque-0.1.7-3.fc10
Comment 43 Fedora Update System 2008-12-21 03:24:15 EST
tasque-0.1.7-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 44 David Kaylor 2008-12-22 20:03:10 EST
Package Change Request
======================
Package Name: tasque
New Branches: f-10
Owners: dkaylor
Comment 45 Kevin Fenzi 2008-12-22 22:29:52 EST
There is already a f10 branch here. 

Make sure you are doing 'cvs update -d' to pick up the new directory from the mass branch.
Comment 46 Fedora Update System 2008-12-29 20:24:37 EST
tasque-0.1.8-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tasque-0.1.8-1.fc10
Comment 47 Fedora Update System 2008-12-29 20:25:15 EST
tasque-0.1.8-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/tasque-0.1.8-1.fc9
Comment 48 Fedora Update System 2009-01-14 21:52:34 EST
tasque-0.1.8-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 49 Fedora Update System 2009-01-14 21:57:29 EST
tasque-0.1.8-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.